/* ccgo: igs/connect.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 *
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_CONNECT_HH
#define IGS_CONNECT_HH
#include <sigc++/object.h>
#include <sigc++/signal.h>
#include <glibmm/refptr.h>
#include <glibmm/object.h>
#include <string>
namespace igs
{
	class Connect :
		virtual public SigC::Object
	{
	protected:
		bool connect_ok;
	public:
		Connect();
		virtual ~Connect();
		virtual void send_line(const std::string &);
		SigC::Signal1<void, const std::string &> recv_line; // line received
		SigC::Signal0<void> conn_lost;
		bool is_ok();
		SigC::Signal1<bool, const std::string &> check_prompt; // check if an unfinished line is a prompt
	};
}
#endif // IGS_CONNECT_HH
